<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>beautiful-docs</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<p><strong>DO YOU WANT TO BUILD AND WRITE GLORIOUS TECHNICAL DOCUMENTATION FULL TIME? EMAIL mark@helium.com. WE NEED YOU.</strong></p>
<h1 id="beautiful-docs">Beautiful Docs</h1>
<p>I love documentation. If you work with/are writing code intended for usage and consumption by more than one person, you should love it, too. Documentation and other resources will make or break the success of your project. And the more open and collaborative you want development to be, the more crucial docs become.</p>
<p>With that in mind, here’s a list of docs and other developer resources that myself and others find particularly useful, well-written, and otherwise “beautiful.” May they serve to inspire you when writing and designing yours. Thanks to various contributors, we now also have sections dedicated to <a href="#writing-about-docs">Writing about Documentation</a> and <a href="#generating-docs">Tools for Generating Docs</a>.</p>
<p>This should be updated fairly regularly. As usual, <strong>pull requests are encouraged</strong>. * If you’re contributing a link, be sure to include a few words on why you’re adding it and some sort of self-attribution so that people can know from whom it came. * All docs are listed in the order they were added. Keep this order when submitting your PR.</p>
<p><a href="https://twitter.com/pharkmillups">Mark</a></p>
<h3 id="and-now-for-the-docs">And Now For The Docs</h3>
<ul>
<li><a href="http://redis.io/commands">Redis Commands</a> - Most of the Redis docs are exceptional, but this section really epitomizes the combination of good design and usability. And all the individual command pages give you the ability to test things out without leaving the page. Pretty close to perfect.</li>
<li><a href="http://developer.github.com/v3/">GitHub Developer Docs</a> - I don’t always get excited about accordion-based navigation, but when I do…</li>
<li><a href="http://www.dropwizard.io/">Dropwizard</a> - Beautiful and concise; another Bootstrap joint. (contributed by <a href="https://twitter.com/#!/mrtazz">mrtazz</a>).)</li>
<li><a href="https://github.com/basho/riak_pipe/blob/develop/README.org">Riak Pipe README</a> - The simplicity of READMEs means that you can’t obscure shitty content with flashy design. This one is written by my Basho colleague <a href="https://twitter.com/#!/hobbyist">Bryan Fink</a> and should be committed to memory as an excellent example of how to write READMEs.</li>
<li><a href="http://learnyousomeerlang.com/content">Learn You Some Erlang</a> (contributed by <span class="citation" data-cites="lenary">[@lenary]</span>(https://twitter.com/lenary)) (It should also be noted that LYSE was inspired by Miran Lipovača’s <a href="http://learnyouahaskell.com/">Learn You A Haskell</a>.)</li>
<li><a href="http://coreos.com/docs/">CoreOS</a> - Primary-colored goodness and a distributed system to boot (contributed by <span class="citation" data-cites="lucperkins">[@lucperkins]</span>(https://twitter.com/lucperkins))</li>
<li><a href="https://docs.djangoproject.com/en/">Django Documentation</a> - (contributed by <span class="citation" data-cites="bretthoerner">[@bretthoerner]</span>(https://twitter.com/bretthoerner))</li>
<li><a href="http://clojuredocs.org">Clojuredocs.org</a> (contributed by <span class="citation" data-cites="mrb_bk">[@mrb_bk]</span>(https://twitter.com/#!/mrb_bk))</li>
<li><a href="http://www.freebsd.org/handbook/">FreeBSD Handbook</a> - Clean and direct documentation of an OS. (contributed by <span class="citation" data-cites="mrtazz">[@mrtazz]</span>(https://twitter.com/#!/mrtazz))</li>
<li><a href="http://guides.rubyonrails.org/">Ruby on Rails Guides</a> - (contributed by <span class="citation" data-cites="seancribbs">[@seancribbs]</span>(https://twitter.com/#!/seancribbs))</li>
<li><a href="http://pow.cx/docs/">Pow Annotated Source</a> - Built with <a href="http://jashkenas.github.com/docco/">docco.</a> (contributed by <span class="citation" data-cites="BonzoESC">[@BonzoESC]</span>(https://twitter.com/BonzoESC))</li>
<li><a href="https://stripe.com/docs">Stripe Documentation</a> and <a href="https://stripe.com/docs/api">Full API Documentation</a> - Multiple languages, example code, good detail on the API; especially love how the API docs show examples for curl and their supported client libraries. (contributed simultaneously by <span class="citation" data-cites="tnm">[@tnm]</span>(https://twitter.com/#!/tnm) and <span class="citation" data-cites="technoweenie">[@technoweenie]</span>(https://twitter.com/#!/technoweenie))</li>
<li><a href="https://www.librato.com/docs/api/">Librato Developer Docs</a> - Librato’s RESTful API documentation. (contributed by <span class="citation" data-cites="josephruscio">[@josephruscio]</span>(https://twitter.com/josephruscio))</li>
<li><a href="http://coffeescript.org/">CoffeeScript</a> - (contributed by <span class="citation" data-cites="joedevivo">[@joedevivo]</span>(https://twitter.com/#!/joedevivo))</li>
<li><a href="http://poignant.guide/">Why’s (Poignant) Guide to Ruby</a> - (contributed by <span class="citation" data-cites="joedevivo">[@joedevivo]</span>(https://twitter.com/#!/joedevivo))</li>
<li><a href="http://getbootstrap.com/">Twitter Bootstrap</a> - Documented the project using the project. (contributed by <span class="citation" data-cites="kylewest">[@kylewest]</span>(https://twitter.com/kylewest))</li>
<li><a href="http://twitter.github.com/hogan.js/">hogan.js</a> - Simple and Beautiful. (contributed by <span class="citation" data-cites="kylewest">[@kylewest]</span>(https://twitter.com/kylewest))</li>
<li><a href="http://docs.scala-lang.org/">Scala Documentation</a> - Beautifully-styled Scala documentation site. (Contributed by <a href="https://github.com/leedm777">David M. Lee</a>)</li>
<li><a href="https://www.linode.com/docs/">Linode Guides and Tutorials</a> (contributed by <span class="citation" data-cites="davidmatas">[@davidmatas]</span>(https://twitter.com/#!/davidmatas))</li>
<li><a href="http://impact.brighterplanet.com/documentation">Brighter Planet API</a> (contributed by <a href="https://github.com/dkastner">Derek Kastner</a>)</li>
<li><a href="http://symfony.com/doc/current/">Symfony2 Docs</a> (contributed by <a href="https://github.com/rodneykeeling">Rodney Keeling</a>)</li>
<li><a href="http://numberlaundry.whatcheer.com/">Number Laundry API</a> - Fun design, simple examples. (contributed by <span class="citation" data-cites="jmhobbs">[@jmhobbs]</span>(https://twitter.com/jmhobbs))</li>
<li><a href="http://underscorejs.org">Underscore.js</a> - Simple, clean, single page. (contributed by <span class="citation" data-cites="twe4ked">[@twe4ked]</span>(http://twitter.com/twe4ked))</li>
<li><a href="http://doc.qt.io/">Qt</a> - Very comprehensive documentation with tutorials and guides and great examples. (contributed by <span class="citation" data-cites="nikhilcutshort">[@nikhilcutshort]</span>(https://twitter.com/nikhilcutshort))</li>
<li><a href="http://casperjs.org">CasperJS</a> - CasperJS is a navigation scripting &amp; testing utility for PhantomJS, written in Javascript. (contributed by <span class="citation" data-cites="n1k0">[@n1k0]</span>(https://twitter.com/n1k0))</li>
<li><a href="http://rubyamqp.info">rubyamqp.info</a> - A number of in-depth guides that cover Ruby <code>amqp</code> gem but also try to explain AMQP 0.9.1 features, why they exist, and how they are supposed to be used. (contributed by <a href="https://twitter.com/#!/michaelklishin/">Michael Klishin</a>)</li>
<li><a href="http://savonrb.com/">Savon.rb</a> - (contributed by <a href="https://twitter.com/#!/roidrage">Mathias Meyer</a>)</li>
<li><a href="http://developer.android.com/guide/index.html">Android Developer Documentation</a> (contributed by <span class="citation" data-cites="rBharshetty">[Rajeev N B @rBharshetty]</span>(https://twitter.com/#!/rBharshetty))</li>
<li><a href="http://zguide.zeromq.org/page:all">ØMQ - The Guide</a> - Exciting documentation for an exciting lib. Concise working code examples available in multiple languages. Concepts are explained clearly. (contributed by <a href="https://github.com/kindkid">kindkid</a>)</li>
<li><a href="http://developer.postmarkapp.com/">Postmark Developer Docs</a> - Simple, easy to navigate, informative.</li>
<li><a href="https://dev.twitter.com/docs">Twitter Developers Docs</a> - In-depth and very well organized. (contributed by <span class="citation" data-cites="tsantero">[@tsantero]</span>(https://twitter.com/#!/tsantero))</li>
<li><a href="https://github.com/styleguide">GitHub Styleguide</a> - Pragmatic styleguide with sections on Ruby, JavaScript and CSS. (https://twitter.com/github) (contributed by <span class="citation" data-cites="lenary">[@lenary]</span>(https://twitter.com/#!/lenary))</li>
<li><a href="http://momentjs.com/docs">Moment.js</a> - Thorough, well-designed, and excellent use of top-nav. (contributed by <span class="citation" data-cites="joshuapoehls">[@joshuapoehls]</span>(https://twitter.com/#!/joshuapoehls))</li>
<li><a href="http://ethanschoonover.com/solarized">Solarized</a> - Beautiful documentation about a color scheme, using the color scheme from <a href="https://github.com/altercation">Ethan Schoonover</a>. (contributed by <span class="citation" data-cites="seancribbs">[@seancribbs]</span>(http://twitter.com/seancribbs))</li>
<li><a href="http://guides.emberjs.com/">Ember.js</a> - The overall navigation could be done a bit better but the presentation and readability is quite nice. (contributed by <span class="citation" data-cites="cmeik">[@cmeik]</span>(https://twitter.com/cmeik))</li>
<li><a href="http://docs.basho.com/">Basho Docs</a> - Well-designed, excellent use of versioning, integrated search, and much more.</li>
<li><a href="https://gobyexample.com/">Go By Example</a> - Clean, simple, and extensive. These docs that make you want to learn Go just because they make it so straightforward.</li>
<li><a href="http://www.gevent.org/intro.html">gevent API Docs</a> - Clean, polished docs for gevent. (contributed by <a href="https://github.com/rubik">rubik</a>)</li>
<li><a href="http://labs.codernity.com/codernitydb/index.html">CodernityDB</a> - Clean, extensive, useful. I also love the fact that the day the software was released the documentation was this extensive.</li>
<li><a href="http://riemann.io/">Riemann</a> - Great design, easy to read, and very thorough with introductory and advanced topics.</li>
<li><a href="http://pretty-rfc.herokuapp.com/">Pretty RFC</a> - Reworked <a href="http://www.ietf.org">IETF</a> documents for easier viewing.</li>
<li><a href="https://www.vagrantup.com/docs/">Vagrant</a> - Well organized, easy to read, attractive design. (<span class="citation" data-cites="clstokes">[@clstokes]</span>(https://twitter.com/clstokes))</li>
<li><a href="http://reference.wolfram.com/language/">Wolfram Language</a> - Nice top-level navigation in a grid layout. Topics grouped by color, each with a relevant graphic and on-click menu of sub-topics. (contributed by <a href="http://github.com/troyhop">troytop</a>)</li>
<li><a href="http://lfe.gitbooks.io/quick-start/content/">Lisp Flavored Erlang: Quick Start</a> - Attractive presentation, nice jumpstart for the language. (contributed by <span class="citation" data-cites="macintux">[@macintux]</span>(https://twitter.com/macintux))</li>
<li><a href="http://thinking-forth.sourceforge.net">Thinking Forth</a> - Forth is now largely eclipsed by Factor, but the book remains an inspiring look at the ideas behind this stack-based language. (contributed by <span class="citation" data-cites="macintux">[@macintux]</span>(https://twitter.com/macintux))</li>
<li><a href="http://www.packer.io/docs">Packer Documentation</a> - These are just lovely.</li>
<li><a href="http://abjad.mbrsi.org/">Abjad: Modeling Music in Python</a> - Clean styling, and impressive integration of figures and diagrams. (contributed by <span class="citation" data-cites="adorsk">[@adorsk]</span>(https://github.com/adorsk))</li>
<li><a href="http://docs.sqlalchemy.org/">SqlAlchemy</a> - One of the most comprehensive pieces of documentation I’ve ever seen, with excellent linking and layout. (contributed by <span class="citation" data-cites="adorsk">[@adorsk]</span>(https://github.com/adorsk))</li>
<li><a href="http://sonata-project.org/bundles/">Sonata Project</a> - All the Sonata Project bundles for Symfony2 on a single page. These have a nice, clear layout. (contributed by <span class="citation" data-cites="NoScopie">[@NoScopie]</span>(https://github.com/NoScopie))</li>
<li><a href="http://laravel.com/docs">Laravel</a> - Easily-readable and well-organized docs. Navigation is well formatted and articles are easy to consume. (contributed by <span class="citation" data-cites="ToddSmithSalter">[@ToddSmithSalter]</span>(https://github.com/toddsmithsalter))</li>
<li><a href="http://arshaw.com/fullcalendar/docs/">FullCalendar</a> – Concise overview of all APIs on a single page, and in-depth descriptions for each. (contributed by <span class="citation" data-cites="gr2m">[@gr2m]</span>(https://github.com/gr2m/))</li>
<li><a href="http://doc.rust-lang.org/book/README.html">Rust Guides</a> - Rust is a pre-1.0 language with a constantly-changing API, but the docs (written by <a href="https://github.com/steveklabnik">Steve Klabnik</a>) are clearly a high priority. The guides in particular illustrate core concepts of the standard library in a conversational, accessible style. (contributed by <a href="https://github.com/thenickcox">Nick Cox</a></li>
<li><a href="http://docs.mongodb.org/manual/">MongoDB Manual</a> - Easy to navigate, clean, carefully and well designed manual. (contributed by <a href="https://github.com/ericbn">ericbn</a>)</li>
<li><a href="https://documentation.mailgun.com">Mailgun Documentation</a> - Email service for developers. Language selector, API code samples, editable in the browser, created with Sphinx. (contributed by <span class="citation" data-cites="leemunroe">[@leemunroe]</span>(https://github.com/leemunroe))</li>
<li><a href="http://learn.getgrav.org">Grav Documentation</a> - Documentation for Grav, a modern open source flat-file CMS. Tightly integrated with GitHub in markdown format, with quick search and highlight. (contributed by <span class="citation" data-cites="rhuk">[@rhuk]</span>(https://twitter.com/rhuk))</li>
<li><a href="http://dev.mailjet.com/">Mailjet API guides</a> - Great documentation with generated code samples using Slate from Tripit</li>
<li><a href="https://www.atlassian.com/git/">Atlassian GIT Tutorials</a> - Documentation and tutorials on Git. I like their layout. It is simple and foucssed on explaining the concepts with good diagrams, tutorials and glossary. (contributed by <span class="citation" data-cites="vaseehh">[@vaseehh]</span>(https://twitter.com/vaseehh))</li>
<li><a href="https://developers.digitalocean.com/documentation/v2/">Digital Ocean API Docs</a> - These docs are stellar. Examples are abundant and the organization makes each component of the API easy to reason about. (contributed by <span class="citation" data-cites="jasonaibrahim">[@jasonaibrahim]</span>(https://github.com/jasonaibrahim))</li>
</ul>
<h3 id="writing-about-docs">Writing about Docs</h3>
<ul>
<li><a href="http://blog.parse.com/learn/engineering/designing-great-api-docs/">Designing Great API Docs</a> - Blog post by <span class="citation" data-cites="jamesyu">[@jamesyu]</span>(https://twitter.com/jamesjyu) about what he/Parse finds essential in API Docs. (contributed by <span class="citation" data-cites="hobbyist">[@hobbyist]</span>(https://twitter.com/https://twitter.com/#!/hobbyist))</li>
<li><a href="http://tomdoc.org/">TomDoc</a> - A specification for Ruby library API docs by <span class="citation" data-cites="mojombo">[@mojombo]</span>(https://twitter.com/mojombo) (contributed by <span class="citation" data-cites="lenary">[@lenary]</span>(https://twitter.com/#!/lenary))</li>
<li><a href="http://conf.writethedocs.org">Write the Docs</a> - A conference for authors of technical documentation. (contributed by <span class="citation" data-cites="macintux">[@macintux]</span>(https://twitter.com/macintux))</li>
<li><a href="http://jacobian.org/writing/great-documentation/">Writing Great Documentation</a> - Covers a variety of topics relating to writing good documentation such as content, style, formatting and so on. (contributed by <a href="http://github.com/paulalexwilson">Paul A. Wilson</a></li>
</ul>
<h3 id="generating-docs">Generating Docs</h3>
<ul>
<li><a href="http://jashkenas.github.io/docco/">docco</a> - Pretty docs from source code comments with ports for many languages. (contributed by <span class="citation" data-cites="kylewest">[@kylewest]</span>(https://twitter.com/kylewest))</li>
<li><a href="http://documentup.com/jeromegn/documentup">DocumentUp</a> - Instantly beautify your Github repositories’ <code>README.md</code>. (contributed by <span class="citation" data-cites="kylewest">[@kylewest]</span>(https://twitter.com/kylewest))</li>
<li><a href="http://sphinx-doc.org/">Sphinx</a> - Comprehensive documentation tool using restructuredText with beautiful HTML and PDF output. (contributed by <span class="citation" data-cites="nikhilcutshort">[@nikhilcutshort]</span>(https://twitter.com/nikhilcutshort))</li>
<li><a href="http://www.mkdocs.org/">MkDocs</a> - Documentation with Markdown, written in Python. (contributed by <a href="https://github.com/ericbn">ericbn</a>)</li>
<li><a href="https://readthedocs.org/">Read the Docs</a> - Hosted docs using Sphinx or MkDocs, supports translations and finding docs for specific software versions. Used by the Django Docs. (contributed by <a href="https://github.com/stephenpaulger">Stephen Paulger</a>)</li>
<li><a href="https://github.com/adobe-webplatform/dr.js">dr.js</a> - Tiny JavaScript documentation generator from the author of RaphaëlJS. (contributed by <span class="citation" data-cites="nikhilcutshort">[@nikhilcutshort]</span>(https://twitter.com/nikhilcutshort))</li>
<li><a href="http://markdoc.org/">Markdoc</a> - Lightweight documentation/wiki generator in Python, released in the <a href="http://unlicense.org/">public domain</a>. (contributed by <a href="http://neelfyn.info/">Neelfyn</a>)</li>
<li><a href="http://apigen.org/">ApiGen</a> - Creates clean API documentation from PHP source code (contributed by <a href="http://bryce.se/">bryceadams</a>)</li>
<li><a href="https://github.com/Ralt/docgenerator/blob/master/README.md">docgenerator</a> - Organize your documentation in Markdown files. (contributed by <a href="http://margaine.com">Florian Margaine</a>)</li>
<li><a href="http://www.dexy.it/">dexy</a> - Extensible documentation/report generator supporting multiple programming languages and serveral input and output formats. (contributed by <a href="http://github.com/troytop">troytop</a>)</li>
<li><a href="https://github.com/tripit/slate">Slate</a> - Static API documentation creation tool from the team at Tripit.</li>
<li><a href="http://www.miredot.com">MireDot</a> - REST API documentation generator for Java. Plugs into your build process and generates a searchable html page. (contributed by <a href="https://github.com/bertvh">bertvh</a>)</li>
<li><a href="https://github.com/coffeedoc/codo">codo</a> - CoffeeScript API documentation generator, similar to YARD. (contributed by <a href="http://github.com/logankoester">Logan Koester</a>)</li>
<li><a href="http://ricostacruz.com/flatdoc/">Flatdoc</a> - Create well designed open source documentation from Github repository README files or simple Markdown files. (contributed by <span class="citation" data-cites="moore">[@moore]</span>(http://twitter.com/moore))</li>
<li><a href="https://github.com/GitbookIO/gitbook">GitBook</a> - Utility for generating documentation, books and exercises using GitHub/Git and Markdown. (contributed by <a href="https://github.com/SamyPesse">Samy Pessé</a>)</li>
<li><a href="https://github.com/justinwalsh/daux.io">Daux</a> - A documentation generator that uses a simple folder structure and Markdown files to create custom documentation on the fly. It helps you create great looking documentation in a developer friendly way. (contributed by <a href="https://github.com/veshinak">veshinak</a>)</li>
<li><a href="https://github.com/dciccale/comment.js">comment.js</a> - Simple API documentation generator. (contributed by <span class="citation" data-cites="dciccale">[@dciccale]</span>(https://github.com/diccale))</li>
<li><a href="http://www.phpdoc.org/">phpDocumentor</a> - phpDocumentor enables you to generate documentation from your PHP source code. (contributed by <a href="http://shivamdixit.com">shivamdixit</a>)</li>
<li><a href="http://trulia.github.io/hologram/">Hologram</a> - Hologram is a Ruby gem that parses comments in your CSS and helps you turn them into a beautiful style guide. (contributed by <span class="citation" data-cites="jchild3rs">[@jchild3rs]</span>(http://github.com/jchild3rs))</li>
<li><a href="https://middlemanapp.com/">Middleman</a> - Static site generator using all the shortcuts and tools in modern web development. (contributed by <a href="https://github.com/sotayamashita">Sota Yamashtia</a>)</li>
<li><a href="https://github.com/documentationjs/documentation">documentation.js</a> - Generates documentation from JavaScript source code. (contributed by <a href="https://github.com/tmcw">tmcw</a>)</li>
<li><a href="http://sassdoc.com/">SassDoc</a> - A Sass documentation generator that utilizes inline comments to make pretty and powerful docs. (contributed by <a href="https://github.com/HugoGiraudel">Hugo Giraudel</a>)</li>
<li><a href="http://www.picklesdoc.com/#!index.md">Pickles</a> - Pickles is an open source living documentation generator that works on feature files written in the Gherkin language.</li>
<li><a href="https://github.com/apidoc/apidoc">ApiDoc</a> RESTful web API Documentation Generator that creates documentation from API descriptions in your source code. (contributed by <a href="https://github.com/trenton42">Trenton Broughton</a>)</li>
<li><a href="http://idratherbewriting.com/documentation-theme-jekyll/">Documentation theme for Jekyll</a> - Documentation theme built on Jekyll. Includes detailed notes on how to tackle nearly every technical documentation scenario, from single sourcing to conditional filtering, PDF output, relative links, and more.</li>
<li><a href="http://usejsdoc.org/">JSDoc</a> - Generate JavaScript API documentation directly from source code comments. Also useful as a style guide for JS commenting, in general. Google uses a version of JSDoc tags for its <a href="https://github.com/google/closure-compiler/wiki/Annotating-JavaScript-for-the-Closure-Compiler">Closure compiler</a>.</li>
<li><a href="http://asciidoctor.org/">Asciidoctor</a> - Asciidoctor is a fast text processor and publishing toolchain for converting AsciiDoc content to HTML5, DocBook 5 (or 4.5) and other formats. (contributed by <a href="https://github.com/ThomasG77">ThomasG77</a>)</li>
<li><a href="https://bookdown.org/">Bookdown</a> - A open-source (GPL-3) R package to facilitate writing books and long-form articles/reports with R Markdown. Support for languages other than R, including C/C++, Python, and SQL, etc. (contributed by <a href="https://github.com/ThomasG77">ThomasG77</a>)</li>
<li><a href="http://pandoc.org/">Pandoc</a> If you need to convert files from one markup format into another, pandoc is your swiss-army knife. Can generate documentation from most common markup languages. (contributed by <a href="https://github.com/ThomasG77">ThomasG77</a>)</li>
</ul>
</body>
</html>
